net-cpp: core::net::http::Request::Handler Class Reference

net-cpp .. C++11 library for networking purposes

Public Member Functions | List of all members
core::net::http::Request::Handler Class Reference

Encapsulates callbacks that can happen during request execution. More...

`#include <request.h>`

Collaboration diagram for core::net::http::Request::Handler:

## Public Member Functions
| Handler ()=default
const ProgressHandler & | on_progress () const
| Returns the currently set progress handler. More...
Handler & | on_progress (const ProgressHandler &handler)
| Adjusts the currently set progress handler. More...
const ResponseHandler & | on_response () const
| Returns the currently set response handler. More...
Handler & | on_response (const ResponseHandler &handler)
| Adjusts the currently set response handler. More...
const ErrorHandler & | on_error () const
| Returns the currently set error handler. More...
Handler & | on_error (const ErrorHandler &handler)
| Adjusts the currently set error handler. More...

## Detailed Description

Encapsulates callbacks that can happen during request execution.

Definition at line 119 of file request.h.

## Constructor & Destructor Documentation

## ◆ Handler()

core::net::http::Request::Handler::Handler | ( |  | ) |
| default

## Member Function Documentation

## ◆ on_error() [1/2]

const ErrorHandler& core::net::http::Request::Handler::on_error | ( |  | ) | const

Returns the currently set error handler.

## ◆ on_error() [2/2]

Handler& core::net::http::Request::Handler::on_error | ( | const ErrorHandler & | handler | ) |

Adjusts the currently set error handler.

## ◆ on_progress() [1/2]

const ProgressHandler& core::net::http::Request::Handler::on_progress | ( |  | ) | const

Returns the currently set progress handler.

## ◆ on_progress() [2/2]

Handler& core::net::http::Request::Handler::on_progress | ( | const ProgressHandler & | handler | ) |

Adjusts the currently set progress handler.

## ◆ on_response() [1/2]

const ResponseHandler& core::net::http::Request::Handler::on_response | ( |  | ) | const

Returns the currently set response handler.

## ◆ on_response() [2/2]

Handler& core::net::http::Request::Handler::on_response | ( | const ResponseHandler & | handler | ) |

Adjusts the currently set response handler.

The documentation for this class was generated from the following file:

- /home/odroid/lomiri/net-cpp-git/src/net-cpp/include/core/net/http/request.h